org.apache.xmlbeans.xml.stream

## Interface AttributeIterator

-     public interface AttributeIterator

  This interface specifies methods for iterating over attributes.
  Since:
    Weblogic XML Input Stream 1.0
  Version:
    1.0
  See Also:
    `Attribute`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()` Check if there are any attributes on the stream
    `Attribute` | `next()` Get the next Attribute on the stream
    `Attribute` | `peek()` Return the next element on the stream without shifting it
    `void` | `skip()` Skip the next element on the stream

- - ### Method Detail

    - #### next

          Attribute next()

      Get the next Attribute on the stream
      See Also:
        `Attribute`

    - #### hasNext

          boolean hasNext()

      Check if there are any attributes on the stream

    - #### peek

          Attribute peek()

      Return the next element on the stream without shifting it

    - #### skip

          void skip()

      Skip the next element on the stream